/*
	File:		FileTypesAndCreators.h 

	Contains:	Symbolic constants for FileTypes and signatures of popular documents

	Copyright:	 1992-1993 by Apple Computer, Inc., all rights reserved.
*/


#ifndef __FILETYPESANDCREATORS__ 
#define __FILETYPESANDCREATORS__


/* 
	Rules:
	
		If a developer has the same application on another platform as is on the Mac,
		then the creator for a file from the other platform should be the same
		as the creator of the Macintosh application.  


*/


/* the following are standard FileTypes */
#define ftXTND13TextImport		'xt13'	/* this is a pseduo-format. taDstIsAppTranslation bit is set */
#define ftApplicationName		'apnm'	/* this is used for application name */


/* word processors */
#define ftMacrite5				'WORD'
#define ftMacriteII				'MW2D'
#define ftMSWord3				'MSW3'
#define ftMSWord4				'WDBN'
#define ftMSWord				'WDBN'
#define ftMSWordPC				'MWPC'
#define ftMSWordWindows1		'WW1 '  /* not registered */
#define ftMSWordWindows2		'WW2 '  /* not registered */
#define ftMSWorksWord			'AWWP'
#define ftMSWorksWord2			'AWW2'
#define ftMSWorksWord3			'AWW3'
#define ftMSWorksWordPC2		'PWW2'
#define ftMSWrite				'WDBN'	/* registered??? */
#define ftRTF					'RTF '
#define ftTeachText				'ttro'
#define ftWordPerfect			'WPD0' 
#define ftWordPerfect2			'WPD1' 
#define ftWordPerfect21			'WPD2' 
#define ftWordPerfectPC42		'.WP4'  /* not registered */
#define ftWordPerfectPC5		'.WP5'  /* not registered */
#define ftWordPerfectPC51		'WP51'  /* not registered */
#define ftWriteNow2				'nX^d'
#define ftWriteNow3				'nX^2'
#define ftFullWrite				'FWRT' 
#define ftGreatWorksWord		'ZWRT' 
#define ftClarisWorksWord		'CWWP' 
#define ftBeagleWorksWord		'BWwp' 
#define ftAppleWorks			'1A  '
#define ftAppleWorksWP2			'1A2 '
#define ftAppleWorksWP3			'1A3 '
#define ftAppleWorksGS			'50  '
#define ftXyWriteIII			'XyWr'	/* registered??? */
#define ftWordStar				'WStr'	/* registered??? */
#define ftWordStar4				'WSt4'	/* registered??? */
#define ftWordStar5				'WSt5'	/* registered??? */
#define ftWordStar55			'WS55'	/* registered??? */
#define ftWordStar6				'WSt6'	/* registered??? */
#define ftWordStar2000			'WS20'	/* registered??? */
#define ftActa					'otln'	/* registered??? */
#define ftMore					'MOR3'	/* registered??? */
#define ftMore2					'MOR2'
#define ftMPWTool				'MPST'
#define ftFrameMakerWord		'FASL'
#define ftQuarkXPress			'XDOC'
#define ftNisus					'TEXT'
#define ftDecDX					'DX  '	/* registered??? */
#define ftDecWPSPlus			'WPS+'	/* registered??? */
#define ftDisplayWrite3			'DW3 '	/* registered??? */
#define ftDisplayWrite4			'DW4 '	/* registered??? */
#define ftDisplayWrite5			'DW5 '	/* registered??? */
#define ftIBMWritingAsst		'ASST'	/* registered??? */
#define ftManuscript1			'MAN1'	/* registered??? */
#define ftManuscript2			'MAN2'	/* registered??? */
#define ftMass11PC				'M11P'	/* registered??? */
#define ftMass11Vax				'M11V'	/* registered??? */
#define ftMultiMate36			'MM36'	/* registered??? */
#define ftMultiMate40			'MM40'	/* registered??? */
#define ftMultiMateAdv			'MMAD'	/* registered??? */
#define ftMultiMateNote			'MMNT'	/* registered??? */
#define ftOfficeWriter			'OFFW'	/* registered??? */
#define ftPCFileLetter			'PCFL'	/* registered??? */
#define ftPFSWriteA				'PFSA'	/* registered??? */
#define ftPFSWriteB				'PFSB'	/* registered??? */
#define ftPFSPlan				'PFSP'	/* registered??? */
#define ftProWrite1				'PW1 '	/* registered??? */
#define ftProWrite2				'PW2 '	/* registered??? */
#define ftProWritePlus			'PW+ '	/* registered??? */
#define ftFirstChoice			'FCH '	/* registered??? */
#define ftFirstChoice3			'FCH3'	/* registered??? */
#define ftFirstChoiceSS			'FCSS'	/* registered??? */
#define ftFirstChoiceDB			'FCDB'	/* registered??? */
#define ftDCARFT				'RFT '	/* registered??? */
#define ftSamna					'SAMN'	/* registered??? */
#define ftSmart					'SMRT'	/* registered??? */
#define ftSmartSheet			'SMSH'	/* registered??? */
#define ftSmartData				'SMTD'	/* registered??? */
#define ftSprint				'SPRT'	/* registered??? */
#define ftTotalWord				'TOTL'	/* registered??? */
#define ftVolksWriter			'VOLK'	/* registered??? */
#define ftWangWPS				'WPS '	/* registered??? */
#define ftWordMarc				'MARC'	/* registered??? */


/* databases */
#define ftMPWProjectorDB		'MPSP'
#define ftMSWorks3DB			'AWDB'
#define ft4thDimensionDB		'BAS3'
#define ftFileMakerProDB		'FMPR'
#define ftHyperCard				'STAK'
#define ftMSWorksDB				'AWDB'
#define ftMSWorksDataBase2		'AWD2'
#define ftMSWorksDataBase3		'AWD3'
#define ftMSWorksDataBasePC2	'PWD2'
#define ftSmartFormAsst			'STCK'
#define ftSmartFormDesign		'CFRM'
#define ftSuperCardDoc			'MDOC'
#define ftBeagleWorksDB			'BWdb'
#define ftFileForceDB			'FIL3'
#define ftDBase3				'DB3 '	/* registered??? */
#define ftDBase4				'DB4 '	/* registered??? */
#define ftDataEase				'DTEZ'	/* registered??? */
#define ftFrameWorkIII			'FWK3'	/* registered??? */	
#define ftRBaseV				'RBsV'	/* registered??? */
#define ftRBase5000				'RB50'	/* registered??? */
#define ftRBaseFile1			'RBs1'	/* registered??? */
#define ftRBaseFile3			'RBs3'	/* registered??? */
#define ftReflex				'RFLX'	/* registered??? */
#define ftQAWrite				'QAWT'	/* registered??? */
#define ftQADBase				'QADB'	/* registered??? */
#define ftFileMaker2DB			'FMK$'
#define ftAppleWorksDB			'1B  '	/* registered??? */


/* finance */
#define ftQuicken				'BDAT'
#define ftMacInTax91			'MITF'
#define ftMacInTax91Table		''

/* scheduling */
#define ftMacProject2			'MPRD'

/* utilities */
#define ftStuffItArchive		'SIT!'
#define ftStockItToMePortfolio	'TIKR'
#define ftCompactProArchive		'PACT'
	
/* spreadsheets */
#define ftExcel2				'XLS '
#define ftExcel2Macro			'XLM '
#define ftExcel2Chart			'XLC '
#define ftExcel3				'XLS3'
#define ftExcel4				'XLS4'
#define ftExcel4Macro			'XLM4'
#define ftExcelChart			'XLC3'
#define ftExcelHelp				'XLHP'
#define ftExcelWorkBk			'XLW4'
#define ftExcelToolbar			'XLB4'
#define ftExcel3Macro			'XLM3'
#define ftResolve				'RsWs'
#define ftResolveScript			'RsWc'
#define ftSYLK					'SYLK'
#define ftWingz					'WZSS'
#define ftWingzScript			'WZSC'
#define ftLotus123				'LWKS'
#define ftMSWorksSpread			'AWSS'
#define ftMSWorksSpread2		'AWS2'
#define ftMSWorksSpread3		'AWS3'
#define ftGreatWorksSpread		'ZCAL' 
#define ftClarisWorksSpread		'CWSS' 
#define ftBeagleWorksSpread		'BWss'
#define ftMSWorks3Macro			'AWMC'
#define ftDIF					'DIF '	/* registered??? */
#define ftAmi					'AMI '	/* registered??? */
#define ftAmiPro				'AMIP'	/* registered??? APRO */
#define ftAmiPro2				'APR2'	/* registered??? */
#define ftEnableWP				'ENWP'	/* registered??? */
#define ftEnableSheet			'ENAB'	/* registered??? */
#define ft123R1					'WKS1'	/* registered??? */	
#define ft123R2					'WKS2'	/* registered??? */
#define ft123R3					'WKS3'	/* registered??? */
#define ftParadox3				'PDX3 '	/* registered??? */
#define ftParadox35				'PD35'	/* registered??? */
#define ftQuattro				'QTRO'	/* registered??? */
#define ftQuattroPro			'QTR5'	/* registered??? */
#define ftSuperCalc5			'SPC5'	/* registered??? */
#define ftSymphony1				'SYM1'	/* registered??? */
#define ftTwin					'TWIN'	/* registered??? */
#define ftVPPlanner				'VPPL'	/* registered??? */
#define ftMIF					'MIF '	/* registered??? */
#define ftMIF2					'MIF2'	/* registered??? */
#define ftMIF3					'MIF3'	/* registered??? */


/* communication files */
#define ftMSWorks3Comm			'AWDC'
#define ftMSWorksComm			'STDC'
#define ftBeagleWorksCOMM		'BWcm'

/* graphics */
#define ftMacPaint				'PNTG' 
#define ftGreatWorksPaint		'ZPNT' 
#define ftCanvas				'drw2' 
#define ftUltraPaint			'UPNT' 
#define ftClarisWorksGraphics	'CWGR' 
#define ftBeagleWorksDrawing	'BWdr' 
#define ftBeagleWorksGraphic	'BWpt' 
#define ftSuperPaint			'SPTG' 
#define ftWordPerfectPCGraphics	'WPGf'  /* not registered */
#define ftPCPaintBrush			'PCX '  /* not registered */
#define ftKidPix				'PICT'
#define ftPICT					'PICT'
#define ftPhotoshop				'8BIM'
#define ftPagemaker				'ALB4'
#define ftMSWorks3Graphics		'PICT'
#define ftMSWorks3Draw			'AWDR'
#define ftPersuasionGraphic		'PICT'
#define ftFreeHandDraw			'FHD3'
#define ftClarisCAD				'CAD2'
#define ftMacDraw2				'DRWG'
#define ftMacDrawPro			'dDoc'
#define ftDirector				'VWMD'
#define ftPixelPaint			'PX01'
#define ftStudio				'PICT'
#define ftDigDarkroom			'PICT'
#define ftSuper3D				'3DBX'
#define ftSwivel3DDoc			'SMDL'
#define ftColorMacCheese		'PICT'
#define ftCricketDrawing		'CKDT'
#define ftCricketChart			'CGPC'
#define ftDesignCAD				'DCAD'
#define ftImageStudio			'RIFF'
#define ftPhotoMac				'PICT'
#define ftVersaCADDrawing		'2D  '
#define ftAdobePremierMovie		'MooV'
#define ftAfterDarkModule		'ADgm'
#define ftClip3Dgraphic			'EZ3D'
#define ftKaleidaGraphGraph		'QPCT'
#define ftMacFlowChart			'FLCH'
#define ftMoviePlayerMovie		'MooV'
#define ftLotusPIC				'.PIC'  /* not registered */
#define	ftCGM					'.CGM'  /* not registered 'CGM '*/
#define	ftGEM					'.GEM'  /* not registered */
#define	ftIMG					'.IMG'  /* not registered */
#define	ftDXF					'.DXF'  /* not registered 'DXF '*/
#define	ftBMP					'.BMP'  /* not registered */
#define	ftWMF					'.WMF'  /* not registered */
#define	ftTIFF					'TIFF'  /* not registered */
#define	ftEPS					'EPSF'  /* not registered */

/*	Generic vector formats */
#define	ftIGES					'IGES'  /* not registered */
#define	ftDDES2					'DDES'  /* not registered */
#define	ft3DGF					'3DGF'  /* not registered */


/*	Plotter formats */
#define	ftHPGL					'HPGL'
#define	ftDMPL					'DMPL'
#define	ftCalComp906			'C906'
#define	ftCalComp907			'C907'

/*	Vendor-specific formats (suggested by Kandu) */
#define	ftStereoLithography		'STL '		/*	3D Systems 		*/
#define	ftZoom					'ZOOM'		/*	Abvent 			*/
#define	ftFocus					'FOCS'		/*	Abvent 			*/
#define	ftWaveFront				'WOBJ'		/*	WaveFront 		*/
#define	ftSculpt4D				'Scn2'		/*	Byte By Byte 	*/
#define	ftMiniPascal3			'MPT3'		/*	Graphsoft 		*/
#define	ftMiniPascal4			'MPT4'		/*	Graphsoft 		*/
#define	ftWalkThrough			'VWLK'		/*	Virtus 			*/

/* math and statistics */
#define ftMacSpinDS				'D2BN'


/* sounds */
#define ftDirectorSound			'MMSD'

/* presentations */
#define ftPersuasionPres1		'PRS1'
#define ftPersuasionPres2		'PRS2'
#define ftPowerPoint			'SLDS'
#define ftCricketPres			'PRDF'

/* templates and macros */
#define ftPersuasionTemp1		'PRT1'
#define ftPersuasionTemp2		'PRT2'
#define ftMSWorksMacros			'AWMC'
#define ftNisusMacros			'SMAC'
#define ftThinkCProject			'PROJ'
#define ftThinkPascalProject	'QPRJ'

/* dictionaries, thesauruses, and glossaries */
#define ftFrameMakerUserDict	'FUdc'
#define ftFrameMakerMainDict	'FMdc'
#define ftPersuasionDict1		'PRD1'
#define ftPersuasionDict2		'PRD2'
#define ftMSWorksDict			'Dict'
#define ftPowerPointMain		'DCT5'
#define ftPowerPointUser		'DCTU'
#define ftQuarkXPressDict		'XDCT'
#define ftNisusGlossary			'GLOS'
#define ftNisusThes				'THES'
#define ftNisusUser				'UDCT'
#define ftNisusMain				'MDCT'


/* preferences */
#define ftMSWorks3Pref			'W3PF'
#define ftFrameMakerPref		'FPrf'
#define ftIllustratorPrefs		'ARTX'
#define ftPhotoshopPref			'8BPF'
#define ftMSWorksPref			'AWPF'
#define ftStudio1Pref			'S1PF'
#define ftStudio32Pref			'STPF'
#define ftStudio8Pref			'DPPF'
#define ftDigDarkroomPref		'Pref'
#define ftNisusPref				'PRF3'
#define ftSuper3DPref			'S3PF'
#define ftFreeHandPrefs			'FHP3'
#define ftInstantUpdatePrefs	'IUP0'

/* help */
#define ftMSWorks3Help			'AWHP'
#define ftFrameMakerHelp		'FHlp'
#define ftPersuasionHelp1		'PRH1'
#define ftPersuasionHelp2		'PRH2'
#define ftDirectorHelp			'MMHP'
#define ftMSWorksHelp			'AWHP'
#define ftQuarkXPressHelp		'XHLP'
#define ftQuickenHelp			'BHLP'
#define ftStudio1Help			'S1HP'
#define ftStudio32Help			'STHP'
#define ftStudio8Help			'DPHP'
#define ftWordPerfectHelp		'WP??'
#define ftDigDarkroomHelp		'HELP'
#define ftMacInTax91Help		'MITH'
#define ftNisusHelp				'HELP'
#define ftFreeHandHelp			'FHH3'
#define ftCricketHelp			'CRHP'

/* Apple documents */
#define ftDiskCopyImage			'dlmg'
#define ftInstallerScript		'bjbc'
#define ftAppleLinkAddressBook	'ADRS'
#define ftAppleLinkImageFile	'SIMA'
#define ftAppleLinkPackage		'HBSF'
#define ftAppleLinkConnFile		'PETE'
#define ftAppleLinkHelp			'HLPF'

/* misc DOS  */
#define ftDOSCom				'COM '	/* registered??? */
#define ftDOSExecutable			'EXEC'	/* registered??? */
#define ftDOSArc				'ARC '	/* registered??? */
#define ftZip					'ZIP '	/* registered??? */
#define ftZipExe				'ZIPE'	/* registered??? */



#define sigIndustryStandard		'istd'	/* this is the creator used to look up industry standard kind strings*/

/* the following are public types for system resources */
#define ftScriptSystemResourceCollection	'ifil'
#define ftSound								'sfil'
#define ftFont								'ffil'
#define ftTrueTypeFont						'tfil'
#define ftKeyboardLayout					'kfil'
#define ftFontSuitcase						'FFIL'
#define ftDASuitcase						'DFIL'
#define ftSystemExtension					'INIT'
#define ftDAMQueryDocument					'qery'
//#define ftPreferenceFile					'pref'

/* the following are application signatures */

/* Mac word processors */
#define sigMSWord				'MSWD' 
#define sigMSWrite				'MSWT'	/* registered??? */
#define sigWordPerfect			'SSIW' 
#define sigWordPerfect2			'WPC2' 
#define sigMacWriteII			'MWII' 
#define sigWriteNow				'nX^n' 
#define sigMacWrite				'MACA' 
#define sigActa					'ACTA' 
#define sigTHINKPascal			'PJMM' 
#define sigTHINKC				'KAHL' 
#define sigFullWrite			'FWRT' 
#define sigTeachText			'ttxt'
#define sigMore					'MOR2'
#define sigMPWShell				'MPS '
#define sigFrameMaker			'Fram'
#define sigQuarkXPress			'XPR3'
#define sigNisus				'NISI'
#define sigOmniPage				'PRTC'
#define sigPersonalPress		'SCPG'
#define sigPublishItEZ			'2CTY'
#define sigReadySetGo			'MEMR'
#define sigRagTime				'R#+A'
#define sigLetraStudio			'LSTP'
#define sigLetterPerfect		'WPCI'
#define sigTheWritingCenter		'
WP'
#define sigInstantUpdate		'IUA0'


/* PC word processors */
#define sigMSWordPC				'MWpc'	/* registered??? 'MSWD'*/
#define sigWordStar				'WSTR'	/* registered??? 'PCWS'*/
#define sigWordPerfectPC		'SSIW' 	/* registered??? */
#define sigXyWriteIII			'XYW3'	/* registered??? 'PCXW'*/
#define sigDecDX				'PCDX'	/* registered??? */
#define sigDisplayWrite			'PCDW'	/* registered??? */	
#define sigIBMWritingAsst		'PCWA'	/* registered??? */		
#define sigFFT					'FFT '	/* registered??? */	
#define sigManuscript			'PCLM'	/* registered??? */		
#define sigMass11				'PC11'	/* registered??? */		
#define sigMultiMate			'PCMM'	/* registered??? */	
#define sigOfficeWriter			'PCOW'	/* registered??? */		
#define sigPCFileLetter			'PCFL'	/* registered??? */		
#define sigPFS					'PCPW'	/* registered??? */		
#define sigSamna				'PCSA'	/* registered??? */		
#define sigSmartWare			'PCSW'	/* registered??? */		
#define sigSprint				'PCSP'	/* registered??? */		
#define sigTotalWord			'PCTW'	/* registered??? */		
#define sigVolksWriter			'PCVW'	/* registered??? */		
#define sigWangWPS				'PCWG'	/* registered??? */		
#define sigWordMarc				'PCWM'	/* registered??? */	


/* Windows word processors */
#define sigMSWordWindows		'WWIN' 	/* not registered 'MSWD' */
#define sigWordPerfectWindows	'WPWN'  /* not registered */


/* databases */
#define sig4thDimension			'4D03'
#define sigFileMakerPro			'FMPR'
#define sigHyperCard			'WILD'
#define sigSmartFormAsst		'KCFM'
#define sigSmartFormDesign		'KCFD'
#define sigSuperCard			'RUNT'
#define sigDoubleHelix			'HELX'
#define sigFileForce			'4D93'
#define sigGeoQuery				'RGgq'
#define sigParadox				'PCPX'  /* not registered */
#define	sigQuattro				'PCQO'  /* not registered */
#define sigDBase				'PCDB'  /* not registered */	
#define sigDataEase				'PCDE'  /* not registered */	
#define sigFrameWork			'PCFW'  /* not registered */	
#define sigRBase				'PCRB'  /* not registered */		
#define sigReflex				'PCRF'  /* not registered */	
#define sigSymantecQ&A			'PCQA'  /* not registered */
#define sigFoxBASE				'FOX+'
#define sigINSPIRATION			'CER3'
#define sigPanorama				'KAS1'
#define sigFileMaker2			'FMK4'
#define sigSilverrunLDM			'CDML'
#define sigSilverrunDFD			'CDDF'


/* finance */
#define sigQuicken				'INTU'
#define sigMacInTax91			'MIT1'
#define sigAccountantInc		'APRO'
#define sigAtOnce				'KISS'
#define sigCAT3					'tCat'
#define sigDollarsNSense		'EAGP'
#define sigInsightExpert		'LSGL'
#define sigMYOB					'MYOB'
#define sigMacMoney				'SSLA'
#define sigManagingYourMoney	'MYMC'
#define sigPlainsAndSimple		'PEGG'


/* scheduling */
#define sigMacProject2			'MPRX'
#define sigMSProject			'MSPJ'

/* utilities */
#define sigFontographer			'aCa2'
#define sigMetamorphosis		'MEtP'
#define sigStuffIt				'SIT!'
#define sigCorrectGrammar		'LsCG'
#define sigDynodex				'DYNO'
#define sigMariah				'MarH'
#define sigAddressBook			'AdBk'
#define sigThePrintShop			'PSHP'
#define sigQuicKeys2			'Qky2'
#define sigReadStar2Plus		'INOV'
#define sigSoftPC				'PCXT'
#define sigMacMenlo				'MNLO'
#define sigDisinfectant			'D2CT'
#define sigCompactPro			'CPCT'

/* communications */
#define sigSmartcom2			'SCOM'
#define sigVersaTermPRO			'VPRO'
#define sigVersaTerm			'VATM'
#define sigWhiteKnight			'WK11'
#define sigNCSATelnet			'NCSA'
#define sigDynaComm				'PAR2'
#define sigQMForms				'MLTM'

/* math and statistics */
#define sigMathematica			'OMEG'
#define sigMathCAD				'MCAD'
#define sigStatView2			'STAT'
#define sigDataDesk				'DDSK'
#define sigPowerMath2			'MATH'
#define sigSuperANOVA			'SupA'
#define sigSystat				'SYT1'
#define sigTheorist				'Theo'

/* spreadsheets */
#define sigExcel				'XCEL' 
#define sigWingz				'WNGZ' 
#define sigResolve				'Rslv' 
#define sigLotus123				'L123' 
#define sigLotus123Windows		'W123'  /* not registered */
#define sigLotus123PC			'D123'  /* not registered */
#define sigMathematica			'OMEG'
#define sigAmi					'PCAP'	/* not registered */
#define sigEnable				'ENAB'	/* not registered */
#define sigSuperCalc			'PCSC'  /* not registered */
#define sigSymphony				'PCSY'  /* not registered */
#define sigTwin					'PCTN'	/* not registered */
#define sigVPPlanner			'PCVP'  /* not registered */
#define sigFullImpact2			'Flv2'

/* graphics */
#define sigMacPaint				'MPNT' 
#define sigSuperPaint			'SPNT' 
#define sigCanvas				'DAD2' 
#define sigIllustrator			'ART3' 
#define sigPhotoshop			'8BIM' 
#define sigPageMaker			'ALD4' 
#define sigSuperPaint			'SPNT' 
#define sigPCPaintbrush			'PCPB'  /* not registered */
#define sigKidPix				'Kid2'	/* registered??? */
#define sigUltraPaint			'ULTR'	/* registered??? */
#define sigFreeHand				'FHA3'
#define sigClarisCAD			'CCAD'
#define sigMacDraw2				'MDPL'
#define sigMacDrawPro			'dPro'
#define sigMacroMindDir			'MMDR'
#define sigPixelPaint			'PIXR'
#define sigPixelPaintPro		'PIXL'
#define sigStudio1				'ST/1'
#define sigStudio32				'ST32'
#define sigStudio8				'ST/8'
#define sigDigDarkroom			'DIDR'
#define sigAldusSuper3D			'SP3D'
#define sigSwivel3D				'SWVL'
#define sigAutoCAD				'ACAD'
#define sigColorMacCheese		'CMC'
#define sigCricketDraw			'CRDW'
#define sigCricketGraph			'CGRF'
#define sigDesignCAD			'ASBC'
#define sigDreams				'PHNX'
#define sigImageStudio			'FSPE'
#define sigInfiniD				'SID'
#define sigKaleidaGraph			'QKPT'
#define sigLabVIEW				'LBVW'
#define sigMacFlow				'MCFL'
#define sigMacSpin				'D2SP'
#define sigMiniCad				'CDP3'
#define sigOmnis5				'Q2$$'
#define sigPhotoMac				'PMAC'
#define sigGraphMaster			'GRAM'
#define sigVersaCad				'VCAD'
#define sigAdobePremier			'PrMr'
#define sigOfoto				'APLS'
#define sigAfterDark			'ADrk'
#define sigMacDraw				'MDRW'
#define sigClip3D				'EZ3E'
#define sigDeltagraphPro		'DGRH'
#define sigDesign2				'DESG'
#define sigDesignStudio			'MRJN'
#define sigDreams				'PHNX'
#define sigDynaperspective		'PERS'
#define sigGenericCADD			'CAD3'
#define sigMacDraft				'MD20'
#define sigModelShop			'MDSP'
#define sigOasis				'TAOA'
#define sigOBJECTMASTER			'BROW'
#define sigMoviePlayer			'TVOD'
#define sigMovieRecorder		'mrcr'
#define sigPictureCompressor	'ppxi'
#define sigPICTViewer			'MDTS'
#define sigSmoothie				'Smoo'
#define sigScreenPlay			'SPLY'

/* presentations */
#define sigPersuasion			'PLP2'
#define sigPowerPoint			'PPNT'
#define sigCrickPres			'CRPR'

/* works */
#define sigGreatWorks			'ZEBR' 
#define sigMSWorks				'PSI2' 
#define sigClarisWorks			'BOBO' 
#define sigBeagleWorks			'BWks' 
#define sigAppleWorks			'pdos'  /* not registered */
#define sigAppleWorksGS			'AWGS'  /* not registered */
#define sigMSWorks3				'MSWK'

/* entertainment */
#define sigPGATourGolf			'gOLF'
#define sigSimCity				'MCRP'
#define sigHellCats				'HELL'

/* education */
#define sigReaderRabbit3		'RDR3'


/* Translation applications */
#define sigDataVizDesktop		'DVDT'
#define sigSotwareBridge		'mdos'
#define sigWordForWord			'MSTR'
#define sigAppleFileExchange	'PSPT'

/* Apple software */
#define sigResEdit				'RSED'
#define sigDiskCopy				'dCpy'
#define sigAardvark				'AARD'
#define sigAppleLink			'GEOL'
#define sigCompatibilityChkr	'wkrp'
#define sigMacTerminal			'Term'
#define sigSADE					'sade'
#define sigCurare				'Cura'
#define sigPCXChange			'dosa'
#define sigAtEase				'mfdr'
#define sigStockItToMe			'SITM'
#define sigInstaller			'bjbc'

#endif	// __FILETYPESANDCREATORS__
